var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { PrimeIcons } from 'primereact/api';
import { Button } from 'primereact/button';
import { Dialog } from 'primereact/dialog';
import React, { useCallback, useEffect, useRef } from 'react';
import Webcam from 'react-webcam';
import { useImageSelector } from './state';
import { urltoFile } from './utils';
var ImageSelector = function (props) {
    var ref = useRef(null);
    var webcamRef = useRef(null);
    var _a = useImageSelector(), setState = _a.setState, isVisible = _a.isVisible, preview = _a.preview, toggleDialog = _a.toggleDialog;
    useEffect(function () {
        setState(props);
    }, [props, setState]);
    var getValue = useCallback(function (value) {
        return value instanceof File ? URL.createObjectURL(value) : value;
    }, []);
    return (_jsxs(React.Fragment, { children: [preview && (_jsx("div", __assign({ className: "d-flex flex-column align-items-center justify-content-center my-2", style: { maxHeight: '350px', width: '100%' } }, { children: _jsxs("div", __assign({ style: {
                        maxHeight: '350px',
                        display: 'grid',
                        alignContent: 'center',
                        textAlign: 'center',
                    }, className: "text-center" }, { children: [_jsx("img", { src: getValue(props.value), 
                            // alt="FOTO"
                            className: "img-fluid", style: {
                                maxHeight: '300px',
                            }, alt: props === null || props === void 0 ? void 0 : props.uuid, loading: "lazy" }, void 0), _jsxs("span", __assign({ className: "d-flex flex-row", style: { minWidth: '50px' } }, { children: [_jsx(Button, __assign({ icon: PrimeIcons.IMAGE, className: "rounded-0", type: "button", onClick: function () { var _a, _b; return (_b = (_a = ref === null || ref === void 0 ? void 0 : ref.current) === null || _a === void 0 ? void 0 : _a.click) === null || _b === void 0 ? void 0 : _b.call(_a); } }, { children: _jsx("input", { id: "foto", type: "file", name: props === null || props === void 0 ? void 0 : props.name, value: "", accept: "image/png,image/jpg,image/jpeg", onChange: function (event) {
                                            var _a, _b, _c;
                                            var photo = (_b = (_a = event === null || event === void 0 ? void 0 : event.target) === null || _a === void 0 ? void 0 : _a.files) === null || _b === void 0 ? void 0 : _b[0];
                                            photo && ((_c = props === null || props === void 0 ? void 0 : props.onChange) === null || _c === void 0 ? void 0 : _c.call(props, photo));
                                        }, hidden: true, ref: ref }, void 0) }), void 0), _jsx(Button, { icon: PrimeIcons.CAMERA, 
                                    // variant="info"
                                    className: "rounded-0", type: "button", 
                                    // block
                                    onClick: function () { return toggleDialog(true); } }, void 0)] }), void 0)] }), void 0) }), void 0)), isVisible && (_jsxs(Dialog, __assign({ header: "Capturar", visible: isVisible, onHide: toggleDialog, breakpoints: { '960px': '100vw' }, style: { width: '60vw', textAlign: 'center' }, footer: null, draggable: false }, { children: [_jsx(Webcam, { style: { maxWidth: '100%' }, audio: false, screenshotFormat: "image/png", ref: webcamRef }, void 0), _jsxs("span", __assign({ className: "p-buttonset d-flex flex-row justify-content-center" }, { children: [_jsx(Button, { icon: PrimeIcons.PLAY, onClick: function () {
                                    var _a, _b;
                                    try {
                                        var imageSrc = (_b = (_a = webcamRef === null || webcamRef === void 0 ? void 0 : webcamRef.current) === null || _a === void 0 ? void 0 : _a.getScreenshot) === null || _b === void 0 ? void 0 : _b.call(_a);
                                        urltoFile(imageSrc, 'img.jpg', 'image/jpeg').then(function (file) {
                                            props.onChange && props.onChange(file);
                                            toggleDialog(false);
                                        });
                                    }
                                    catch (error) {
                                        console.error(error);
                                    }
                                } }, void 0), _jsx(Button
                            // variant="danger"
                            , { 
                                // variant="danger"
                                icon: PrimeIcons.TIMES, 
                                //@ts-ignore
                                onClick: toggleDialog }, void 0)] }), void 0)] }), void 0))] }, void 0));
};
export default ImageSelector;
