/// <reference types="react" />
declare const Form: {
    TextInput: import("react").FC<{
        name?: string | undefined;
        invalid?: boolean | undefined;
        changers?: string[] | Function[] | undefined;
    } & import("primereact/inputtext").InputTextProps>;
    NumberInput: import("react").FC<import("./NumberInput").NumberInputProps>;
    DateInput: import("react").FC<{
        name?: string | undefined;
        invalid?: boolean | undefined;
        changers?: string[] | Function[] | undefined;
    } & import("primereact/calendar").CalendarProps>;
    Password: import("react").FC<{
        name?: string | undefined;
        invalid?: boolean | undefined;
        changers?: string[] | Function[] | undefined;
    } & import("primereact/password").PasswordProps>;
    TextArea: import("react").FC<{
        name?: string | undefined;
        invalid?: boolean | undefined;
        changers?: string[] | Function[] | undefined;
    } & import("primereact/inputtextarea").InputTextareaProps>;
    Checkbox: import("react").ForwardRefExoticComponent<{
        label?: string | undefined;
        invalid?: boolean | undefined;
    } & import("primereact/checkbox").CheckboxProps & import("react").RefAttributes<unknown>>;
    IconAddon: import("react").FC<{
        icon: string;
    }>;
    FieldWrapper: import("react").FC<import("./FieldWrapper").FieldWrapperType>;
    ControlledWrapper: import("react").FC<import("./ControlledWrapper").ControlledWrapperProps>;
    Group: import("react").FC<{
        name?: string | undefined;
    }>;
    Select: import("react").FC<{
        name?: string | undefined;
        invalid?: boolean | undefined;
        onChangeFn?: ((value: any) => any) | undefined;
        loading?: boolean | undefined;
    } & import("primereact/dropdown").DropdownProps>;
    Controller: import("react").FC<import("./Controller").ControllerProps>;
    ErrorMessage: import("react").FC<{
        name?: string | undefined;
    }>;
};
export default Form;
