import { ReactNode } from 'react';
import { AddToast, AppearanceTypes, Options, RemoveAllToasts, RemoveToast, UpdateToast } from 'react-toast-notifications';
declare type CallbackType = (id: string) => void;
declare type ToatsType = (content: ReactNode, extraProps?: Options, callback?: CallbackType) => void;
export interface UseToastsProps {
    addSuccessToast: ToatsType;
    addErrorToast: ToatsType;
    addWarningToast: ToatsType;
    addInfoToast: ToatsType;
    addToast: AddToast;
    removeToast: RemoveToast;
    removeAllToasts: RemoveAllToasts;
    toastStack: Array<{
        content: ReactNode;
        id: string;
        appearance: AppearanceTypes;
    }>;
    updateToast: UpdateToast;
}
export interface BaseToastProps {
    content: string;
    extraProps?: Options;
    callback?: CallbackType;
}
declare const useToasts: () => UseToastsProps;
export default useToasts;
