var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { useToasts as baseHook, } from 'react-toast-notifications';
var ToatsTypes = ['Error', 'Info', 'Success', 'Warning'];
var useToasts = function () {
    var _a = baseHook(), addToast = _a.addToast, rest = __rest(_a, ["addToast"]);
    var baseToast = function (_a, appearance) {
        var content = _a.content, extraProps = _a.extraProps, callback = _a.callback;
        addToast(content, __assign(__assign({}, extraProps), { appearance: appearance }), callback);
    };
    var buildToast = function () {
        var entries = ToatsTypes.map(function (toastType) {
            return [
                "add" + toastType + "Toast",
                function (content, extraProps, callback) {
                    baseToast({ content: content, extraProps: extraProps, callback: callback }, toastType.toLowerCase());
                },
            ];
        });
        return Object.fromEntries(entries);
    };
    return __assign(__assign({}, buildToast()), rest);
};
export default useToasts;
